Rapid7 Vulnerability & Exploit Database

WordPress OptimizePress Theme File Upload Vulnerability

Back to Search

WordPress OptimizePress Theme File Upload Vulnerability

Disclosed
11/29/2013
Created
05/30/2018

Description

This module exploits a vulnerability found in the WordPress theme OptimizePress. The vulnerability is due to an insecure file upload on the media-upload.php component, allowing an attacker to upload arbitrary PHP code. This module has been tested successfully on OptimizePress 1.45.

Author(s)

  • United of Muslim Cyber Army
  • Mekanismen

Platform

PHP

Architectures

php

Development

References

Module Options

To display the available options, load the module within the Metasploit console and run the commands 'show options' or 'show advanced':

msf > use exploit/unix/webapp/wp_optimizepress_upload
msf exploit(wp_optimizepress_upload) > show targets
    ...targets...
msf exploit(wp_optimizepress_upload) > set TARGET < target-id >
msf exploit(wp_optimizepress_upload) > show options
    ...show and set options...
msf exploit(wp_optimizepress_upload) > exploit

Time is precious, so I don’t want to do something manually that I can automate. Leveraging the Metasploit Framework when automating any task keeps us from having to re-create the wheel as we can use the existing libraries and focus our efforts where it matters.

– Jim O’Gorman | President, Offensive Security

;